Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIEditor.Properties

    java.lang.Object
      java.lang.Enum<UIEditor.Properties>
          org.richfaces.component.UIEditor.Properties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UIEditor.Properties>

Enclosing class:
  UIEditor

    protected static enum UIEditor.Properties

extends java.lang.Enum<UIEditor.Properties>

Enum Constant Summary
`config`
`height`
`lang`
`onblur`
`onchange`
`ondirty`
`onfocus`
`oninit`
`readonly`
`skin`
`style`
`styleClass`
`title`
`toolbar`
`width`

Method Summary
`static UIEditor.Properties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UIEditor.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### config

    public static final UIEditor.Properties config

### height

    public static final UIEditor.Properties height

### lang

    public static final UIEditor.Properties lang

### onblur

    public static final UIEditor.Properties onblur

### onchange

    public static final UIEditor.Properties onchange

### ondirty

    public static final UIEditor.Properties ondirty

### onfocus

    public static final UIEditor.Properties onfocus

### oninit

    public static final UIEditor.Properties oninit

### readonly

    public static final UIEditor.Properties readonly

### skin

    public static final UIEditor.Properties skin

### style

    public static final UIEditor.Properties style

### styleClass

    public static final UIEditor.Properties styleClass

### title

    public static final UIEditor.Properties title

### toolbar

    public static final UIEditor.Properties toolbar

### width

    public static final UIEditor.Properties width

Method Detail

### values

    public static UIEditor.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIEditor.Properties c : UIEditor.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIEditor.Properties valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.